summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-07 12:45:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-07 12:45:43 +0000
commitb283b044aa74d4f0a3c8b2e85238efa6439256ec (patch)
tree5f5444455f2e86583cf22dfbf16d5c7c8e6b57fd /dev-ruby
parent8f7bd2a6f058fbef3d4b3867cc078036e06c8f9e (diff)
downloadbaldeagleos-repo-b283b044aa74d4f0a3c8b2e85238efa6439256ec.tar.gz
baldeagleos-repo-b283b044aa74d4f0a3c8b2e85238efa6439256ec.tar.xz
baldeagleos-repo-b283b044aa74d4f0a3c8b2e85238efa6439256ec.zip
Adding metadata
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/ruby-install/Manifest1
-rw-r--r--dev-ruby/ruby-install/ruby-install-0.8.4.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-ruby/ruby-install/Manifest b/dev-ruby/ruby-install/Manifest
index 0a6371c85d7f..49a69c0e8b38 100644
--- a/dev-ruby/ruby-install/Manifest
+++ b/dev-ruby/ruby-install/Manifest
@@ -1 +1,2 @@
DIST ruby-install-0.8.3.tar.gz 32381 BLAKE2B fd2c15333e571881d9a6be67c2b968f81bd8b2d2025972dd502df35b4ce1b2a5dbfbac29327d2dfa83b779f923342c23c30423455c202a0978581ab71291ce22 SHA512 1fdd44b709a7d2eaae4b1ebf7a08381c565d7656d52cf69b98b0e00d383b39c7776848f7acd5f5f79f1a9ad935907e230c256b7cdf46714fddd9a8cfac418c9a
+DIST ruby-install-0.8.4.tar.gz 32652 BLAKE2B e863645c66cc631d17a3e5c061220fd59d0b0458613d31e8db4d35fbb0beae53ccf627620b9adb08bb0db82d51bd9a54a7eb96079fc3e6604c32d9b7dc219f3d SHA512 9d7157ab73689a7024efae104f6fd244c019c56d5e27573151818dd72f07855f9785b2ddba9c83a413ddcd92a565893373ca545c486c59b4fa408f349d4c7f48
diff --git a/dev-ruby/ruby-install/ruby-install-0.8.4.ebuild b/dev-ruby/ruby-install/ruby-install-0.8.4.ebuild
new file mode 100644
index 000000000000..706d5e5d217d
--- /dev/null
+++ b/dev-ruby/ruby-install/ruby-install-0.8.4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Installs Ruby, JRuby, Rubinius, TruffleRuby (native / GraalVM), or mruby."
+HOMEPAGE="https://github.com/postmodern/ruby-install"
+SRC_URI="https://github.com/postmodern/ruby-install/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+PROPERTIES="test_network"
+RESTRICT="!test? ( test )"
+
+DEPEND=">=app-shells/bash-3.0:*"
+RDEPEND="${DEPEND}
+ sys-apps/grep
+ || ( >net-misc/wget-1.12 net-misc/curl )
+ dev-libs/openssl
+ app-arch/tar
+ app-arch/bzip2
+ app-arch/xz-utils
+ sys-devel/patch
+ || ( >=sys-devel/gcc-4.2 sys-devel/clang )"
+BDEPEND="test? ( dev-util/shunit2 )"
+
+# XXX: `make check` seems to be broken (violates shellcheck tests)
+src_test() {
+ emake test
+}
+
+src_prepare() {
+ default
+
+ sed -i Makefile -e "s/^VERSION=.\+$/VERSION=${PVR}/" \
+ || die "Cannot fix doc location to follow Gentoo/FHS guidelines"
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="/usr" install
+}